package org.kde.qt;


/** {@link QTextBrowser} emits these signals */
public interface QTextBrowserSignals {
	void redoAvailable( boolean yes );
	void undoAvailable( boolean yes );
	void backwardAvailable( boolean arg1 );
	void currentAlignmentChanged( int a );
	void verticalSliderPressed();
	void horizontalSliderPressed();
	void textChanged();
	void sourceChanged( String arg1 );
	void forwardAvailable( boolean arg1 );
	void returnPressed();
	void contentsMoving( int x, int y );
	void linkClicked( String arg1 );
	void destroyed( QObject obj );
	void currentFontChanged( QFont f );
	void cursorPositionChanged( int para, int pos );
	void verticalSliderReleased();
	void modificationChanged( boolean m );
	void anchorClicked( String arg1, String arg2 );
	void selectionChanged();
	void doubleClicked( int parag, int index );
	void horizontalSliderReleased();
	void highlighted( String arg1 );
	void currentColorChanged( QColor c );
	void copyAvailable( boolean arg1 );
	void currentVerticalAlignmentChanged( int a );
	void clicked( int parag, int index );
}

